<?php
/** Generated Model Class **/ 

Class KunjunganDiskon {    
	private static $columns = "id,id_kunjungan,diskon_tindakan,diskon_obat";
	private static $errors;
	
	private static function generate_date($field_name,$array) {
		if (isset($array[$field_name.'_date']) && isset($array[$field_name.'_month']) && isset($array[$field_name.'_date']))
		$array[$field_name.''] = mktime(0, 0, 0, $array[$field_name.'_month'], $array[$field_name.'_date'], $array[$field_name.'_year']);
		
		return $array;
	}
	
	private static function validate_fields($array) {
		$rules = array();
		$errors = validateFields($array, $rules);
		if (!empty($errors))
		{
			$error_msg = "<ul>";
			foreach ($errors as $e) { $error_msg .= "<li>{$e}</li>"; }
			$error_msg .= "</ul>";
			Slim::flash('error',$error_msg);
			return false;
		} else { return true; }
	}
	
	public static function create($array) {			
		$kunjungan_diskon = R::dispense("kunjungan_diskon");
		if (!self::validate_fields($array)) return false;
		
		$kunjungan_diskon->import($array,self::$columns);		
		$id = R::store($kunjungan_diskon);
		
		return $id;
	}
	
	public static function update($id,$array) {
		$kunjungan_diskon = R::load("kunjungan_diskon",$id);
		
		if (!self::validate_fields($array)) return false;
		
		$kunjungan_diskon->import($array,self::$columns);		
		
		R::store($kunjungan_diskon);
		return true;
	}
	
	public static function countAll($search = "") {
	
		return R::getCell("select count(1) from kunjungan_diskon");
	}
	
	public static function getAll($page = 1,$count_per_page = 0) {
		$q = "select * from kunjungan_diskon";
		$data = R::getAll($q);
		return $data;
	}

	public static function generatePage($current_page,$count_per_page,$base_url) {
		$total_page = ceil(self::countAll($where)/$count_per_page);
		for ($i = 1;$i <= $total_page;$i++) {
			$active = ($i == $current_page ? "yes" : "no");
			$page[] = array("number"=>$i,"active"=>$active,"link"=>$base_url."?p=$i");
		}
		return  (isset($page) ? $page : array());
	}

	public static function get($id) {
		$data = R::getRow("select * from kunjungan_diskon where id = $id");
		return $data;
	}

	public static function getByKunjungan($idk) {
		$q = "select kt.*, t.kode,t.nama from kunjungan_diskon kt inner join m_tindakan t on kt.id_tindakan = t.id where kt.id_kunjungan = $idk";
		$data = R::getAll($q);
		return $data;
	}

	public static function getColumns() {
		return explode(",",self::$columns);
	}

	public static function remove($id) {
		$data = R::load("kunjungan_diskon",$id);
		R::trash($data);
	}

	public static function removeByKunjungan($idk) {
		$q = "delete from kunjungan_diskon where id_kunjungan = $idk";
		R::exec($q);
	}
}
?>